import { ui } from "../ui/layaMaxUI";
import { GameTool } from "../Util/GameTool";
import { FYHD_Sdk } from "../Net/FYHD_Sdk";
import { ViewManager, ViewType } from "../Net/ViewManager";
export default class ExitView extends ui.ExitViewUI{
    private static ins:ExitView;
    jump = false;
    constructor(){
        super();
        ExitView.ins = this;
    }
    public static get Instance():ExitView{
        if(ExitView.ins){
            return ExitView.ins;
        }
        else{
            return new ExitView();
        }
    }
    OnShow(){
        this.SetData();
        this.CloseBtn.clickHandler =  new Laya.Handler(this,this.ClickClose);
        this.height = Laya.stage.height;
        Laya.stage.on(Laya.Event.RESIZE,this,()=>
        {
            this.height = Laya.stage.height;
        })
    }
    OnClose(){
    }
    ClickClose(){
        // ViewManager.Instance.ClosePopView(ViewType.ExitView);
        ViewManager.Instance.CloseView(ViewType.ExitView);
    }
    private SetData() {
        FYHD_Sdk.SetHuTuiList(this.PushList, 1, "");
    }

}